OutofcoreCloud::PcdQueueItem Struct Reference

`#include <pcl/outofcore/visualization/outofcore_cloud.h>`

## Public Member Functions

| PcdQueueItem (std::string pcd_file, float coverage)
bool | operator< (const PcdQueueItem &rhs) const

## Public Attributes

std::string | pcd_file
float | coverage

## Detailed Description

Definition at line 59 of file outofcore_cloud.h.

## Constructor & Destructor Documentation

## PcdQueueItem()

OutofcoreCloud::PcdQueueItem::PcdQueueItem | ( | std::string | pcd_file,
|  | float | coverage
| ) |  |

inline

Definition at line 61 of file outofcore_cloud.h.

References coverage, and pcd_file.

## Member Function Documentation

## operator<()

bool OutofcoreCloud::PcdQueueItem::operator< | ( | const PcdQueueItem & | rhs | ) | const

inline

Definition at line 67 of file outofcore_cloud.h.

References coverage.

## Member Data Documentation

## coverage

float OutofcoreCloud::PcdQueueItem::coverage

Definition at line 73 of file outofcore_cloud.h.

Referenced by operator<(), and PcdQueueItem().

## pcd_file

std::string OutofcoreCloud::PcdQueueItem::pcd_file

Definition at line 72 of file outofcore_cloud.h.

Referenced by PcdQueueItem().

The documentation for this struct was generated from the following file:

- pcl/outofcore/visualization/outofcore_cloud.h